# image: shockrah/website:latest
# 
# stages:
#   - build
#   - deploy
# 
# 
# ############## ################## ##############
# ############## Build Site Content ##############
# ############## ################## ##############
# 
# 
# build-content:
#   stage: build
#   image: shockrah/website:latest
#   only:
#     refs:
#       - master
#   script:
#     - cd main-site/ && hugo
#   artifacts:
#     expire_in: 1 week
#     paths:
#       - main-site/public/
# 
# 
# 
# ############## ################ ##############
# ############## Build Site Image ##############
# ############## ################ ##############
# 
# build-image:
#   stage: deploy
#   image: docker:stable
#   services:
#     - docker:dind
#   only:
#     refs:
#       - master
#   # Login to registery
#   before_script:
#     - docker login -u $DOCKER_USERNAME --password-stdin << $TOKEN
#   script:
#     - cd ./main-site/ && docker build . -t $
